# API Reference

## What is the purpose of Sesterce Cloud API?

Our API has been built to allow our users to launch and manage their instances, persistent storages and SSH Keys via an API rather than our UI console.

### Prerequisites

To be able to use Sesterce Cloud API Key, please follow these 2 prerequisites:

1. [Create an account](/welcome-on-sesterce-cloud/account-creation.md) and top-up your balance through [Billing tab](https://cloud.sesterce.com/billing)
2. Generate and retrieve your API key through [Settings tab](https://cloud.sesterce.com/settings)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sesterce.com/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
